| FlatBuffers An open source project by FPL.

Public Member Functions | Static Public Member Functions | List of all members
flatbuffers::DefaultAllocator Class Reference
Inheritance diagram for flatbuffers::DefaultAllocator:

## Public Member Functions
uint8_t * | allocate (size_t size) FLATBUFFERS_OVERRIDE
void | deallocate (uint8_t *p, size_t) FLATBUFFERS_OVERRIDE
Public Member Functions inherited from flatbuffers::Allocator
virtual uint8_t * | allocate (size_t size)=0
virtual void | deallocate (uint8_t *p, size_t size)=0
virtual uint8_t * | reallocate_downward (uint8_t *old_p, size_t old_size, size_t new_size, size_t in_use_back, size_t in_use_front)

## Static Public Member Functions
static void | dealloc (void *p, size_t)

## Additional Inherited Members
Protected Member Functions inherited from flatbuffers::Allocator
void | memcpy_downward (uint8_t *old_p, size_t old_size, uint8_t *new_p, size_t new_size, size_t in_use_back, size_t in_use_front)

## Member Function Documentation

## ◆ allocate()

uint8_t * flatbuffers::DefaultAllocator::allocate | ( | size_t | size | ) |
| inline virtual

Implements flatbuffers::Allocator.

## ◆ deallocate()

void flatbuffers::DefaultAllocator::deallocate | ( | uint8_t * | p,
|  | size_t |
| ) |  |
| inline virtual

Implements flatbuffers::Allocator.

The documentation for this class was generated from the following file:

- flatbuffers.h